thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James E. King III (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (THRIFT-4701) Determine if Apache Ant is still required and remove
Date Sat, 09 Mar 2019 16:24:00 GMT

     [ https://issues.apache.org/jira/browse/THRIFT-4701?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

James E. King III closed THRIFT-4701.
-------------------------------------
       Resolution: Not A Problem
    Fix Version/s:     (was: 1.0)
                   0.13.0

> Determine if Apache Ant is still required and remove
> ----------------------------------------------------
>
>                 Key: THRIFT-4701
>                 URL: https://issues.apache.org/jira/browse/THRIFT-4701
>             Project: Thrift
>          Issue Type: Improvement
>          Components: Java - Library
>    Affects Versions: 0.12.0
>            Reporter: David Mollitor
>            Assignee: James E. King III
>            Priority: Minor
>             Fix For: 0.13.0
>
>
> Gradle is now the build tool for the Java library.  At one point, it may have been Apache
Ant.  Review if Apache Ant is still required for Thrift and remove it if it no longer is.
> {code:title=Dockerfile}
> RUN apt-get install -y --no-install-recommends \
> `# Java dependencies` \
>       ant \
>       ant-optional \
>       openjdk-8-jdk \
>       maven && \
>     update-alternatives --set java /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java
> {code}
> {code:title=debian.md}
>  * Java
> 	* packages: ant  
> 	* You will also need Java JDK v1.7 or higher.
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message